Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 21:25:45 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I made an order #6296148245 on 13.Apr and requested to collect my purchase from centrepoint branch in Tabuk Park mall. As per the details in the website, my order will be ready within 4 business days. However, I didn't receive any updates and the order status on the website is still under processing. 

I contacted Customer service twice 18.Apr and 21.Apr and i was informed that the states will be confirmed and i will receive an update shortly. No updates received until this day. 

I also tried to call the phone number of the branch shown in the website, and it is out of service. 

I'm really frustrated of the bad service I'm receiving and I will not use centre point online shopping again. 

Please cancel my order and credit back my purchase cost to my credit card. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2436555